Bug 435327 - Cannot build Eclipse in rawhide with gcj; can with IcedTea
Cannot build Eclipse in rawhide with gcj; can with IcedTea
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 434356
  Show dependency treegraph
 
Reported: 2008-02-28 13:40 EST by Andrew Overholt
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 09:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2008-02-28 13:40:05 EST
Description of problem:
In rawhide, I cannot build Eclipse with java-1.5.0-gcj as my alternative, but I
can with IcedTea as my alternative.

Version-Release number of selected component (if applicable):
libgcj-4.3.0-0.11.i386
java-1.5.0-gcj-1.5.0.0-19.fc9.i386

How reproducible:
Always

Steps to Reproduce:
(on a rawhide box)
1. cvs -d:pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs co eclipse
2. cd eclipse/devel
3. make <your arch>
  
Actual results:
Build fails with gij exiting with a code of 13.

Expected results:
Build finishes successfully.

Additional info:
The actual failure is coming from this line:

java -cp
eclipse/devel/eclipse-3.3.1.1/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
-Duser.home=eclipse/devel/eclipse-3.3.1.1/home org.eclipse.core.launcher.Main
-debug -consolelog -application org.eclipse.ant.core.antRunner -Dtype=plugin
-Did=org.eclipse.equinox.initializer
-DsourceDirectory=eclipse/devel/eclipse-3.3.1.1/equinox-incubator
-DbaseLocation=eclipse/devel/eclipse-3.3.1.1/eclipse
-Dbuilder=eclipse/devel/eclipse-3.3.1.1/eclipse/plugins/org.eclipse.pde.build_3.3.2.R331_v20071019/templates/package-build
-f
eclipse-3.3.1.1/eclipse/plugins/org.eclipse.pde.build_3.3.2.R331_v20071019/scripts/build.xml

If your alternative points to gij, this fails.  Pointing it to IcedTea (at least
on i386) makes it work.  Careful with the paths in the above snippet.
Comment 1 Jakub Jelinek 2008-04-14 06:35:38 EDT
Is this still a problem in rawhide?
Comment 2 Andrew Overholt 2008-04-15 09:00:47 EDT
(In reply to comment #1)
> Is this still a problem in rawhide?

No, this is now fixed.  Sorry for not closing earlier.

Note You need to log in before you can comment on or make changes to this bug.